summaryrefslogtreecommitdiff
path: root/dev-ruby/docile/docile-1.3.4.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-17 23:35:33 +0000
committerLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-17 23:35:33 +0000
commit8e8120eabdd28020aa69c7a60505cce2edd20adc (patch)
tree061bf0acdc672720e0bc3a2d575f67d25aedb2d8 /dev-ruby/docile/docile-1.3.4.ebuild
parentc16790af2c9b4cbc38e565d4311252193ff85484 (diff)
downloadbaldeagleos-repo-21.1.2.tar.gz
baldeagleos-repo-21.1.2.tar.xz
baldeagleos-repo-21.1.2.zip
Updating liguros repo21.1.2
Diffstat (limited to 'dev-ruby/docile/docile-1.3.4.ebuild')
-rw-r--r--dev-ruby/docile/docile-1.3.4.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/dev-ruby/docile/docile-1.3.4.ebuild b/dev-ruby/docile/docile-1.3.4.ebuild
new file mode 100644
index 000000000000..41f1cd91fffe
--- /dev/null
+++ b/dev-ruby/docile/docile-1.3.4.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="README.md HISTORY.md"
+
+RUBY_FAKEGEM_GEMSPEC="docile.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Turns any Ruby object into a DSL"
+HOMEPAGE="https://ms-ati.github.io/docile/"
+SRC_URI="https://github.com/ms-ati/docile/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+all_ruby_prepare() {
+ sed -i -e '/require \"github\/markup\"/d' Rakefile || die
+ sed -i -e '/^unless on/,/^end/ s:^:#:' spec/spec_helper.rb || die
+
+ sed -i -e 's/git ls-files -z/find . -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
+}